Subject: RE: How does each standard "fit" together

From: "John Stracke" <[email-masked]>
Date: Fri, 26 Oct 2001 13:45:08 -0400

> Well I guess my concern is if migrating CAP to use BEEP requires any
> changes/additions to the data structures that we require (to handle
> something security related?) - then it would impact the other standards 
-

It shouldn't--that's what layering means.  CAP carries iCalendar objects, 
including iTIP messages, on top of its transport layer.  Replacing that 
layer with BEEP should not have any impact on the payloads.  (As for 
security--CAP is our only spec with any security in it at all; we can gut 
it entirely without having any security impact on iCalendar or i?IP.)

John Stracke
Principal Engineer
Incentive Systems, Inc.
[email-masked]